#include <iostream>
#include <vector>

using namespace std;

int main(int argc, const char * argv[]) {
    int a,b;
    cin >> a >> b;
    string ulaz;
    vector<string> vec;
    for(int i = 0; i < b; ++i){
        cin >>ulaz;
        vec.push_back(ulaz);
    }
    cout << -1;
    return 0;
}